Установка Oracle 10g на IBM AIX 5.3

Главная Форумы Программное обеспечение СУБД Установка Oracle 10g на IBM AIX 5.3

Просмотр 20 веток ответов
  • Автор
    Сообщения
    • #8757
      Ramin
      Участник

      Здравствуйте уважаемые форумчане,

      Решил я поставить Оракл на свой бедный и слабый тестовый сервак. Так вот:

      Во время проверки Software Requirements – выходит целый ряд не соответствий:

      bash-3.00# /usr/sbin/instfix -i -k “IY63133 IY64978 IY63366 IY64691 IY65001 IY64737
      IY64361 IY65305 IY58350 IY63533″> IY64361 IY65305 IY58350 IY63533”
      There was no data for IY63133 in the fix database.
      There was no data for IY64978 in the fix database.
      There was no data for IY63366 in the fix database.
      There was no data for IY64691 in the fix database.
      There was no data for IY65001 in the fix database.
      There was no data for IY64737 in the fix database.
      There was no data for IY64361 in the fix database.
      There was no data for IY65305 in the fix database.
      There was no data for IY58350 in the fix database.
      There was no data for IY63533 in the fix database.

      Решил найти эти IY65305 … из http://www-933.ibm.com/support/fixcentral

      Но так все найти и не смог, а те что нашел те были размазаы в разных сервис паках.

      Вопрос: Если у меня данный момент

      bash-3.00# oslevel -s
      5300-02-00

      А мне необходим например Service pack: 5300-10-02-0943 то – я должен по одному накатывать до этой версии ?

      Есть ли простой способ установки необходимых fix , ввиде простой установки именно тех которые необходимы.

      Спасибо.

    • #8758
      uxTuaHgp
      Участник

      Если тебе это для тестов, то, ИМХО, забить.
      10-ка ставится и на 5300-05.
      Поставь TL посвежее и кати ораклу.

    • #8760
      Ramin
      Участник

      Александр писал(а):

      Если тебе это для тестов, то, ИМХО, забить.
      10-ка ставится и на 5300-05.
      Поставь TL посвежее и кати ораклу.

      Да, для тестов – в таком случаи скачаю сервис паки до 5300-05. С другой стороны если ставил бы на продакшен пришлось бы накатывать – вот ужас (((

      Ссорри, А что такое TL посвежее – ? Я новичок в AIX потому пока не все терминологию догоняю.

    • #8761
      uxTuaHgp
      Участник

      ну сервиспак то есть
      Technical Level

    • #8769
      yota
      Участник

      Remi писал(а):

      bash-3.00# oslevel -s
      5300-02-00

      А мне необходим например Service pack: 5300-10-02-0943 то – я должен по одному накатывать до этой версии ?

      Есть ли простой способ установки необходимых fix , ввиде простой установки именно тех которые необходимы.

      Спасибо.

      Да просто скачайте последний TL и SP и поставте.

    • #8772
      Ramin
      Участник

      yota Спасибо – я так и сделаю.

      Тут я хорошую статью откопал у IBM насчет TL и SP
      http://www.ibm.com/developerworks/aix/library/au-aixservicepacks/index.html

      Сделаю так а потом отпишусь как и что получилось.

    • #8793
      Ramin
      Участник

      Скачал я с IBM сайта последний TL

      и принялся ставить его, но у меня стало вылетать следующее

      [code]+—————————————————————————–+
      Pre-installation Verification…
      +—————————————————————————–+
      Verifying selections…done
      Verifying requisites…done
      Results…

      SUCCESSES

      +—————————————————————————–+
      Installing Software…
      +—————————————————————————–+

      installp: APPLYING software for:
      bos.rte.install 5.3.12.1

      restore: 0511-126 Cannot open /usr/ax/tl/U830293.bff: A file or directory in the path name does not exist.
      Mount volume 1 on /usr/ax/tl/U830293.bff.
      Press the Enter key to continue.
      0503-405 installp: An error occurred while running the restore command.
      Use local problem reporting procedures.

      installp: CANCELLED software for:
      bos.rte.install 5.3.12.1

      [/code]

      Начал искать этот файл U830293.bff и не нашел.

      [code]bash-3.00# ls | grep U*
      U835280.bff

      [/code]

      Но зато там был этот файл. Я его переименовал запустил установку еще раз.

      mv U835280.bff U830293.bff

      А на этот раз вылетело это:

      [code]+—————————————————————————–+
      Installing Software…
      +—————————————————————————–+

      installp: APPLYING software for:
      bos.rte.install 5.3.12.1

      0503-006 installp: Cannot change to directory /usr/lpp/bos/bos.rte.install/5.3.12.1.
      Check path name and permissions.

      installp: CANCELLED software for:
      bos.rte.install 5.3.12.1

      [/code]

      Ищу причину, думаю что TL скачался криво, без необходимого файла. А как по Вашему в чем причина.

    • #8798
      andrewk
      Участник

      качайте заново 😉 что-то Вы недокачали. а переименовывать не надо было. И да – ls | grep U* хорошо заменяется на ls U*

    • #8806
      uxTuaHgp
      Участник

      я так думаю, что дело тут в регистре имен файлов.

    • #8812
      andrewk
      Участник

      Александр писал(а):

      я так думаю, что дело тут в регистре имен файлов.

      Александр, Вы о чем? 🙂

    • #8893
      Дмитрий
      Участник

      Remi, для начала удалите в том каталоге, куда Вы скачали TL-SP, файл .toc
      и заново создайте его командой
      inutoc .
      (. – это ссылка на текщий каталог) 🙂
      ——-
      Файл .toc – это описание установочных пакетов, находящихся в этом каталоге. Если этого файла нет, то он создаётся инсталлером автоматически. А если есть – то не перепроверяется. Получается, что если Вы что-то изменили в списке файлов bff реально находящихся в каталоге, то надо пересоздать toc-файл.
      ——-
      Если установка опять пройдёт криво – скачайте TL-SP заново.
      При этом не обязательно качать и ставить все TL-SP по-очереди. Ставьте сразу самое свежее – пакеты кумулятивные. Главное – поставить правильные галки, когда качаете с сайта IBM.

    • #8899
      uxTuaHgp
      Участник

      andrewk писал(а):

      [b]Александр писал(а):[/b]
      [quote]я так думаю, что дело тут в регистре имен файлов.

      Александр, Вы о чем? :)[/quote]
      Ну бывает када пакеты качаются виндовым ФТП менеджером, то имена файлов получаются не в том регистре, что были на сервере ИБМ.
      Натыкался раз несколько.

      Но это только предположение.

    • #8904
      andrewk
      Участник

      Александр писал(а):

      Ну бывает када пакеты качаются виндовым ФТП менеджером, то имена файлов получаются не в том регистре, что были на сервере ИБМ.
      Натыкался раз несколько.

      спасибо за информацию! я не знал.

    • #8948
      Ramin
      Участник

      [b]Александр писал(а):[/b]
      Ну бывает када пакеты качаются виндовым ФТП менеджером, то имена файлов получаются не в том регистре, что были на сервере ИБМ.
      Натыкался раз несколько.

      Но это только предположение.

      Александр, я скачивал виндовым фтп сервером. А как исправлялась проблема в данном случаи, еще раз скачивали ?

    • #8953
      uxTuaHgp
      Участник

      Нет, ну возможно это и не так, конечно.
      Нужно посмотреть какой пакет ищет инсталлер и какой на самом деле лежит на диске.

      Я скачивал снова и помоему на линуксовую машину, чтобы не было больше недоразумений.

    • #8987
      Ramin
      Участник

      Dmitry писал(а):

      При этом не обязательно качать и ставить все TL-SP по-очереди. Ставьте сразу самое свежее – пакеты кумулятивные. Главное – поставить правильные галки, когда качаете с сайта IBM.

      Сегодня опять ставил TL-SP. Уже ошибок не давал, но не все пакеты установились так как многое не прошли Pre-installation requrements. Решил скачать опять TL-SP но уже не самые свежие, скорее всего скачаю 5300-06 на Linux. Как советовали.

      Несмотря на то что пакеты кумулятивные – они все равно требуют определенные установленные фиксы и файлы.

    • #9004
      Ramin
      Участник

      Сегодня поставил Service pack: 5300-06-04-0748 с Technology Level: 5300-06-00-0722.

      Все установилось успешно (правда удивило что мало пакетов ставилось и установка прошла очень быстро). После успешной установки согласно сообщению update_all ребутнулся.

      Проверка показала что версия не изменилась

      bash-3.00# oslevel -s
      5300-07-00-0000

      А повторное применение пакетов выдает что все уже что должно было уже установилось

      Прошу подскажите как исправить это 🙁

      Attachments:
    • #9009
      andrewk
      Участник

      я не понял – Вы с какого уровня на какой обновляетесь? 🙂 oslevel -s говорит, что у Вас уже установлен TL7, а Вы собираетесь на него поставить TL6. Неудивительно, что версия не изменилась – все установленные пакеты уже более новые.

    • #9013
      Ramin
      Участник

      andrewk писал(а):

      я не понял – Вы с какого уровня на какой обновляетесь? 🙂 oslevel -s говорит, что у Вас уже установлен TL7, а Вы собираетесь на него поставить TL6. Неудивительно, что версия не изменилась – все установленные пакеты уже более новые.

      Спасибо andrewk 🙂

      А то весь день мучился бы – гадал бы в чем дело.

      Специально поэтому поводу перечитал man oslevel )))

    • #9047
      yota
      Участник

      Последний TL и SP для 5.3 в данный момент TL12 SP1. Для чего вы пытаетесь ставить 6-й TL? Ставьте самый последний доступный TL и SP.

    • #9048
      Ramin
      Участник

      Незнаю точно что я делал неправильно. По идее я тоже самое делал до этого но в этот раз все получилось.

      bash-3.00# oslevel -s
      5300-12-01-1016

      Спасибо Всем за помощбь.

Просмотр 20 веток ответов
  • Для ответа в этой теме необходимо авторизоваться.